# Registration Change Fees Registration Change Fees ## Gets all of the registration change fees in the system. - [GET /registrationChangeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/listregistrationchangefees.md): This method will scan all registration change fees and and return them to the caller. ## Creates a new registration change fee record that does not already exist. - [POST /registrationChangeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/createregistrationchangefee.md): This method will auto-generate an ID and create a new registration change fee. If an ID is specified for the registration change fee, an error will be thrown. ## Execute Batch Operations - [POST /registrationChangeFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a registration change fee from the system by its ID. - [DELETE /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/deleteregistrationchangefee.md): This method will delete a registration change fee with the specified ID. ## Returns a registration change fee from the system by its ID. - [GET /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/getregistrationchangefee.md): This method will look up a registration change fee by the specified ID and return it back. ## Partially updates a registration change fee with the specified ID. - [PATCH /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/patchregistrationchangefee.md): This method will patch an existing registration change fee with the specified ID, using the HTTP PATCH specification. ## Updates a registration change fee with the specified ID. - [PUT /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/updateregistrationchangefee.md): This method will update an existing registration change fee with the specified ID.